<div class="default-color-dark materialize-red-text text-lighten-5">
	<div class="container">
			<strong>{{anio}}</strong>
	</div>
</div>
<div class="container">
	<img src="imagenes/logo.png" class="img-responsive" alt="logo">
	<div class="panel">
		<div class="panel-body">
			<h4 class="text-center">CONSULTA DE PRODUCTORES</h4>
			<p class="text-center">COOPERATIVA AGRARIA APPBOSA</p>
			<hr>
			<form ng-submit="validar()">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label for="buscar">Buscar por Nombres y/o apellidos</label>
							<input type="text" ng-model="obj.nombres" class="form-control" placeholder="Buscar por Nombres y/o apellidos">
						</div>
					</div>
					<div class="col-md-4">
						<!-- <div class="form-group">
							<label for="buscar">Buscar por DNI</label>
							<input type="text" ng-model="obj.dni" class="form-control" placeholder="Buscar por DNI">
						</div> -->
						<div
						    vc-recaptcha
						    key="'6LdPaS8UAAAAAG-BPyrHqB4nbDlyXY76OVduH8_M'"
						    ng-model="obj.recaptcha"
						    lang="'es'"
						></div>
					</div>
					<div class="col-md-2">
						<br>
						<button type="submit" class="btn btn-default btn-block"><span class="fa fa-search"></span> Buscar</button>
					</div>
				</div>
			</form>			
			<!-- if data > 0 -->
			<div class="row" ng-show="socios.length > 0">
				<hr>
				<div class="col-md-8" id="coin">
					<h5>Cantidad Coincidencias : {{socios.length}} productor(es).</h5>
				</div>
				<div class="col-md-4">
					<button class="btn btn-info btn-rounded waves-effect waves-light btn-block" ng-click="downloadPDF()">
						<span class="fa fa-print"></span> Exportar PDF
					</button>
				</div>
				<div  id="print" class="col-md-12">
					<div class="table-responsive">
						<table class="table table-hover table-bordered">
							<thead>
								<tr>
									<th class="text-center">CÓDIGO DE PRODUCTOR</th>
									<th class="text-center" style="vertical-align: middle;white-space: nowrap;">DNI</th>
									<th style="vertical-align: middle;white-space: nowrap;">APELLIDOS Y NOMBRES</th>
									<th class="text-center" style="vertical-align: middle;white-space: nowrap;">GGN</th>
									<th class="text-center" style="vertical-align: middle;white-space: nowrap;">¿ES SOCIO?</th>
									<th class="text-center">N° DE PARCELAS</th>
									<th class="text-center">FECHA DE INGRESO</th>
									<th class="text-center" style="vertical-align: middle;white-space: nowrap;">CONDICIÓN</th>
								</tr>
							</thead>
							<tbody dir-paginate="socio in socios |filter: buscar | itemsPerPage: 1000" pagination-id="socio.id">
								<tr>
									<td style="vertical-align: middle;white-space: nowrap;">{{socio.codigo_productor | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{socio.dni | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{socio.fullname | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{socio.ggn | uppercase}}</td>
									<td class="text-center" style="vertical-align: middle;white-space: nowrap;">{{(socio.socio == 1) ? 'SÍ' : 'NO'}}</td>
									<td class="text-center" style="vertical-align: middle;white-space: nowrap;">{{socio.numero_parcelas}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{socio.fecha_ingreso}}</td>
									<td class="text-center" style="vertical-align: middle;white-space: nowrap; background-color: {{socio.color_condicion}}; color: white;">{{socio.nombre_condicion}}</td>
								</tr>
								<!-- <tr>
									<td style="vertical-align: middle;white-space: nowrap;" rowspan="{{soc.parcelas.length}}">{{soc.codigo_productor | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;" rowspan="{{soc.parcelas.length}}">{{soc.dni | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;" rowspan="{{soc.parcelas.length}}">{{soc.fullname | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;" rowspan="{{soc.parcelas.length}}">{{soc.ggn | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{soc.parcelas[0].ha_total | number:2}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{soc.parcelas[0].ha_sembrada | number:2}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{soc.parcelas[0].nombre_empacadora | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{soc.parcelas[0].nombre_sector | uppercase}}</td>
								</tr>
								<tr ng-repeat="par in soc.parcelas.slice(1,soc.parcelas.length)">
									<td style="vertical-align: middle;white-space: nowrap;">{{par.ha_total | number:2}}</td>
                                    <td style="vertical-align: middle;white-space: nowrap;">{{par.ha_sembrada | number:2}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{par.nombre_empacadora | uppercase}}</td>
									<td style="vertical-align: middle;white-space: nowrap;">{{par.nombre_sector | uppercase}}</td>
                                </tr> -->
							</tbody>
						</table>
					</div>
					<div class="text-center">
						<dir-pagination-controls pagination-id="socio.id"></dir-pagination-controls>
					</div>	
				</div>
			</div>
			<!-- if data = 0 -->
			<div class="row" ng-show="socios.length === 0">
				<div class="col-md-12">
					<p class="text-center">
						No hay coincidencias para la búsqueda.
					</p>					
				</div>
			</div>
		</div>
	</div>
	
</div>